<app-spinner [show]="showSpinner"></app-spinner>

<div class="title"><h1>Champions List</h1></div>
<div class="search-container">
  <mat-form-field class="example-form-field">
    <mat-label><span>Filter Champions</span></mat-label>
    <input
      matInput
      type="text"
      [(ngModel)]="searchPattern"
      (keyup.enter)="search(searchPattern)"
    />
  </mat-form-field>

  <button mat-button color="primary" (click)="search(searchPattern)">
    Filter
  </button>
</div>

<div
  class="no-champion"
  *ngIf="searchPattern && championsFiltered.length === 0"
>
  <h2>Uppss... There's no champion by that name</h2>
</div>
<div class="champions-container" *ngIf="champions && !showSpinner">
  <div class="champion" *ngFor="let champion of championsFiltered">
    <a [routerLink]="['/', 'champion', champion.championId]">
      {{ champion.name }}
    </a>
    <img
      [routerLink]="['/', 'champion', champion.championId]"
      [src]="champion.image"
    />
  </div>
</div>
